* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

:root {
    --active: #8eed8e;
    --active1: #008000;
    --hover: #016501;
    /* textcolor */
    --primary-text-color: rgb(29, 29, 29);
    --secondary-text-color: rgb(100, 100, 100);
}

/* items not found like jobs, scholarships, job seekers and more 
below is its html code*/
/* 
<div class="item_not_found_error">
    <img src="../assets/icons/warning.png" alt="warning sign">
    <p>We are sorry, we can not find this scholarship. It may have been deleted or the link expired.</p>
    <a href="index.php">Browse active scholarships</a>
</div> 
*/
.item_not_found_error {
    background: #ffeaea;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 85%;
    align-self: center;
    justify-self: center;
    padding: 20px;
    border-radius: 10px;
}

.item_not_found_error img {
    width: 45px;
    align-self: center;
}

.item_not_found_error p {
    letter-spacing: .5px;
    font-size: 14px;
    color: #606060;
}

.item_not_found_error a {
    color: #fff;
    letter-spacing: .5px;
    font-size: 14px;
    background: var(--active1);
    text-align: center;
    padding: 8px;
    border-radius: 6px;
    transition: .2s ease;
    margin-top: 10px;
}

.item_not_found_error a:hover {
    background: var(--hover);
}

/* ---------------------------------------------------------- */

.errors {
    color: rgb(202, 3, 3);
    list-style: none;
    font-size: 12px;
    letter-spacing: .5px;
    width: 100%;    
}

.error {
    background: rgb(255, 218, 218);
    margin: 10px;
    padding: 5px;
    padding-left: 10px;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: red;
    font-weight: 400;
    font-size: 13px;
    letter-spacing: .5px;
}

.error a {
    width: 10%;
    min-width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    background: rgb(255, 176, 176);
    color: #000;
    border-radius: 2px;
    padding: 5px;
}

.succes {
    background: rgb(210, 252, 210);
    margin: 10px;
    padding: 5px;
    padding-left: 10px;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--active1);
    font-weight: 400;
    font-size: 13px;
    letter-spacing: .5px;
}

.succes a {
    width: 10%;
    min-width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    background: rgb(177, 255, 177);
    color: #232323;
    border-radius: 2px;
    padding: 5px;
}

.display_full_image_wrapper {
    background: rgba(0, 0, 0, 0.687);
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000000;
}

.full_image_display {
    padding: 4px;
    height: 70%;
    background: #353535;
    object-fit:contain;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.full_image_display img {
    width: 100%;
    object-fit: contain;
    height: inherit;
}

.cancel_display_image {
    background-color: #979797;
    border: 1px solid #c6c6c6;
    margin: 10px;
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 3px;
    width: 30px;
    border-radius: 3px;
    transition: .2s ease;
    cursor: pointer;
}

.cancel_display_image:hover {
    background-color: #aeaeae;
}

.display_full_image_wrapper button {
    width: 100%;
}

.see-more {
    background: var(--active);
    border: none;
    padding: 10px;
    border-radius: 8px;
    color: white;
    cursor: pointer;
    color: var(--primary-text-color);
    margin: 20px;
}

.see-more::first-letter {
    text-transform: uppercase;
}

/* loader */
.page-loader-container {
    background: rgba(52, 52, 52, 0.292);
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 100000001;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.page-loader-container div {
    background: #ccc;
    width: 15px;
    height: 15px;
    border-radius: 50%;
}

.page-loader-container>:nth-child(1) {
    animation: loader1 1s 1.5s ease infinite;
}

@keyframes loader1 {
    0%{margin-bottom: 10px;}
    10%{margin-bottom: 10px;}
    20%{margin-bottom: 10px; background: var(--active);}
    30%{margin-bottom: 5px;}
    40%{margin-bottom: 0px;}
    50%{margin-bottom: -5;}
    60%{margin-bottom: -10px;}
    70%{margin-bottom: -5px;}
    80%{margin-bottom: 0px; background: var(--active1);}
    90%{margin-bottom: 5px;}
    100%{margin-bottom: 10px;}
}

.page-loader-container>:nth-child(2) {
    animation: loader2 1s 1.5s infinite;
    margin-bottom: -20px;
}

@keyframes loader2 {
    0%{margin-bottom: -10px; background-color: var(--active1);}
    10%{margin-bottom: -5px;}
    20%{margin-bottom: 0;}
    30%{margin-bottom: 5px;}
    40%{margin-bottom: 10;}
    50%{margin-bottom: 5px; background: var(--active);}
    60%{margin-bottom: 0px;}
    70%{margin-bottom: -5px;}
    80%{margin-bottom: -10px;}
    90%{margin-bottom: -10px;}
    100%{margin-bottom: -10px; background: var(--active1);}
}

.page-loader-container>:nth-child(3) {
    animation: loader3 1s 1.5s infinite;
    margin-bottom: 20px;
}

@keyframes loader3 {
    0%{margin-bottom: 10px; background: var(--active1);}
    10%{margin-bottom: 5px;}
    20%{margin-bottom: 0;}
    30%{margin-bottom: -5px;}
    40%{margin-bottom: -10;}
    50%{margin-bottom: -5px; background-color: var(--active1);}
    60%{margin-bottom: 0px;}
    70%{margin-bottom: 5px;}
    80%{margin-bottom: 10px;}
    90%{margin-bottom: 10px;}
    100%{margin-bottom: 10px; background-color: var(--active);}
}

.backendError {
    background: rgb(255, 238, 238);
    color: red;
    padding: 6px 10px;
    border-radius: 5px;
    font-size: 13px;
    letter-spacing: .5px;
}

@media (min-width: 680px) {
    .item_not_found_error {
        width: 70%;
    }

    .item_not_found_error p {
        font-size: 15px;
    }

    .item_not_found_error a {
        font-size: 15px;
    }

    .errors {
        font-size: 13px;
    }

    .backendError {
        font-size: 14px;
    }
}

@media (min-width: 800px) {
    .item_not_found_error {
        width: 60%;
    }

    .item_not_found_error p {
        font-size: 16px;
    }

    .item_not_found_error a {
        font-size: 16px;
    }

    .errors {
        font-size: 14px;
    }

    .backendError {
        font-size: 15px;
    }
}

@media (min-width: 1200px) {
    .item_not_found_error {
        width: 40%;
    }

    .backendError {
        font-size: 16px;
    }
}
